+++
title = "UNK Linear Algebra, Feb. 28, 2017"
description = "UNK Linear Algebra, Feb. 28, 2017."
+++

**If at any time today you have difficulties or become lost, please
place the <span style="color: rgb(255,0,0);">red</span> sticky note on
top of your monitor and a helper will be around to assist you.**

    For these instructions, any commands to be typed into the terminal will be formatted like this.

**What is a cluster:**
----------------------

<span
class="confluence-embedded-file-wrapper confluence-embedded-manual-size"><img src="assets/images/17042185/17042191.png" class="confluence-embedded-image" width="700" height="307" /></span>

(picture courtesy of:
<a href="http://training.h3abionet.org/technical_workshop_2015/?page_id=403" class="external-link">http://training.h3abionet.org/technical_workshop_2015/?page_id=403</a>)

**  
**

**To connect to the Crane cluster:**
------------------------------------

-   insert the Yubikey into the computer's USB drive. There should be a
    small green light in the middle of the Yubikey to indicate it is
    inserted correctly.
-   Open your preferred web browser and navigate to
    <a href="http://go.unl.edu/cranessh" class="external-link">http://go.unl.edu/cranessh</a>
-   Click "Start SSH session to crane.unl.edu"  
    <span
    class="confluence-embedded-file-wrapper confluence-embedded-manual-size"><img src="assets/images/17042185/17042178.png" class="confluence-embedded-image" height="400" /></span>
-   Click the "Terminal: SSH" icon to begin the SSH session  
    <span
    class="confluence-embedded-file-wrapper confluence-embedded-manual-size"><img src="assets/images/17042185/17042179.png" class="confluence-embedded-image" height="400" /></span>
-   Type in the provided Username and Password. Note that the password
    will not display on screen, but rest assured that even though
    nothing is being output, your password is being entered as you type.
-   At the "Passcode:" prompt, press your finger to the gold circle in
    the middle of the Yubikey until a string of characters appears on
    screen.  
    <span
    class="confluence-embedded-file-wrapper confluence-embedded-manual-size"><img src="assets/images/17042185/17042182.png" class="confluence-embedded-image" height="400" /></span>
-   If you logged in successfully, your screen should look similar to
    the one belo  
    <span
    class="confluence-embedded-file-wrapper confluence-embedded-manual-size"><img src="assets/images/17042185/17042183.png" class="confluence-embedded-image" height="400" /></span>

**Linux Commands Reference List:**
----------------------------------

<table>
<colgroup>
<col style="width: 33%" />
<col style="width: 33%" />
<col style="width: 33%" />
</colgroup>
<thead>
<tr class="header">
<th>Command</th>
<th>What it does</th>
<th>Example Uses</th>
</tr>
</thead>
<tbody>
<tr class="odd">
<td>ls</td>
<td>list: Lists the files and directories located in the current directory</td>
<td><ul>
<li>ls</li>
<li>ls -a
<ul>
<li>shows all the files in the directory, including hidden ones</li>
</ul></li>
<li>ls -l
<ul>
<li>shows contents in a list format including information such as file size, file permissions and date the file was modified</li>
</ul></li>
<li>ls *.txt
<ul>
<li>shows all files in the current directory which end with .txt</li>
</ul></li>
</ul></td>
</tr>
<tr class="even">
<td>cd</td>
<td>change directory: this allows users to in or out of file directories</td>
<td><ul>
<li>cd &lt;folder path&gt;</li>
<li>cd folder_name
<ul>
<li>navigates into directory &quot;folder_name&quot; located in the current directory</li>
</ul></li>
<li>cd ..
<ul>
<li>navigates out of a directory and into the parent directory</li>
</ul>
cd $HOME (or $WORK)
<ul>
<li>navigates to a user's home (or work) directory</li>
</ul></li>
</ul></td>
</tr>
<tr class="odd">
<td>mv</td>
<td>move: used to move a file or directory to another location</td>
<td><ul>
<li>mv &lt;current file(s)&gt; &lt;target file(s)&gt;</li>
<li>mv * ../
<ul>
<li>moves all files from the current directory into the parent directory</li>
</ul></li>
<li>mv old_filename new_filename
<ul>
<li>renames the file &quot;old_filename&quot; to &quot;new_filename&quot;</li>
</ul></li>
</ul></td>
</tr>
<tr class="even">
<td>man</td>
<td><p>manual: displays documentation for commands</p>
<p><strong>Note:</strong> Use up and down arrows to scroll through the text. To exit the manual display, press 'q'</p></td>
<td><ul>
<li>man &lt;command name&gt;</li>
<li>man ls
<ul>
<li>displays documentation for the ls command</li>
</ul></li>
</ul></td>
</tr>
<tr class="odd">
<td>mkdir</td>
<td>make directory: creates a directory with the specified name</td>
<td><ul>
<li>mkdir &lt;new_folder&gt;
<ul>
<li>creates the directory &quot;new_folder&quot; within the current directory</li>
</ul></li>
</ul></td>
</tr>
<tr class="even">
<td>rmdir</td>
<td><p>remove directory: deletes a directory with the specified name</p>
<p><strong>Note:</strong> rmdir only works on empty directories</p></td>
<td><ul>
<li>rmdir &lt;folder_name&gt;
<ul>
<li>removes the directory &quot;folder_name&quot; if the directory</li>
</ul></li>
<li>rmdir *
<ul>
<li>removes all directories within the current directory</li>
</ul></li>
</ul></td>
</tr>
<tr class="odd">
<td>rm</td>
<td>remove: deletes file or files with the specified name(s)</td>
<td><ul>
<li>rm &lt;file_name&gt;
<ul>
<li>deletes the file &quot;file_name&quot;</li>
</ul></li>
<li>rm *
<ul>
<li>deletes all files in the current directory</li>
</ul></li>
</ul></td>
</tr>
<tr class="even">
<td><p>nano</p></td>
<td><p>nano text editor: opens the nano text editor</p>
<p><strong>Note:</strong> To access the menu options, ^ indicates the control (CTRL) key.</p></td>
<td><ul>
<li>nano
<ul>
<li>opens the text editor in a blank file</li>
</ul></li>
<li>nano &lt;file_name&gt;
<ul>
<li>opens the text editor with &quot;file_name&quot; open. If &quot;file_name&quot; does not exist, it will be created if the file is saved</li>
</ul></li>
</ul></td>
</tr>
<tr class="odd">
<td>clear</td>
<td>clear: clears the screen of all input/output</td>
<td><ul>
<li>clear</li>
</ul></td>
</tr>
<tr class="even">
<td>less</td>
<td><p>less: opens an extended view of a file</p>
<p><strong>Note:</strong> Use up and down arrows to scroll through the text. To exit the extended view, press 'q'</p></td>
<td><ul>
<li>less &lt;file_name&gt;
<ul>
<li>opens an extended view of the file &quot;file_name&quot;</li>
</ul></li>
</ul></td>
</tr>
</tbody>
</table>

**To run MATLAB interactively:**
--------------------------------

-   After logging into the cluster, navigate to your $WORK directory:
    -   cd $WORK

-   Request an interactive job:
    -   srun --reservation=unk --mem=4096 --pty $SHELL

-   Load the MATLAB module:
    -   module load matlab

-   Run MATLAB:
    -   matlab

**To access the MATLAB Tutorial:**
----------------------------------

-   Navigate to your $WORK directory: 
    -   cd $WORK

-   Clone the github repo containing the tutorial files:
    -   git clone https://github.com/unlhcc/HCCWorkshops.git

Attachments:
------------

<img src="assets/images/icons/bullet_blue.gif" width="8" height="8" /> [Screen
Shot 2017-02-23 at 5.10.31 PM.png](attachments/17042185/17042180.png)
(image/png)  
<img src="assets/images/icons/bullet_blue.gif" width="8" height="8" /> [Screen
Shot 2017-02-23 at 5.10.43 PM.png](attachments/17042185/17042181.png)
(image/png)  
<img src="assets/images/icons/bullet_blue.gif" width="8" height="8" /> [Screen
Shot 2017-02-23 at 5.10.31 PM.png](attachments/17042185/17042178.png)
(image/png)  
<img src="assets/images/icons/bullet_blue.gif" width="8" height="8" /> [Screen
Shot 2017-02-23 at 5.10.43 PM.png](attachments/17042185/17042179.png)
(image/png)  
<img src="assets/images/icons/bullet_blue.gif" width="8" height="8" /> [Screen
Shot 2017-02-23 at 5.16.10 PM.png](attachments/17042185/17042182.png)
(image/png)  
<img src="assets/images/icons/bullet_blue.gif" width="8" height="8" /> [Screen
Shot 2017-02-23 at 5.16.37 PM.png](attachments/17042185/17042184.png)
(image/png)  
<img src="assets/images/icons/bullet_blue.gif" width="8" height="8" /> [Screen
Shot 2017-02-23 at 5.16.37 PM.png](attachments/17042185/17042183.png)
(image/png)  
<img src="assets/images/icons/bullet_blue.gif" width="8" height="8" />
[image2017-2-24 11:14:4.png](attachments/17042185/17042186.png)
(image/png)  
<img src="assets/images/icons/bullet_blue.gif" width="8" height="8" />
[cluster\_small2.png](attachments/17042185/17042191.png) (image/png)  


