+++
title = "R for Biologists, March 8, 2017"
description = "R for Biologists, March 8, 2017."
+++

**We will be utilizing <span style="color: rgb(255,0,0);">red</span> and
<span style="color: rgb(51,153,102);">green</span> sticky notes today.
If you run into problems or have questions,**

**please place the <span style="color: rgb(255,0,0);">red</span> sticky
note to the back of your computer screen and a helper will assist you.**

 

If you have not already requested an HCC account under the rcourse998
group, please do so
here: <a href="https://hcc.unl.edu/new-user-request" class="external-link">https://hcc.unl.edu/new-user-request</a>

If you already have an HCC account and need to be added to the
rcourse998 group, please let us know.

If you have not previously set up Duo Authentication, please ask for
assistance.

 

**Set up Instructions:**

**Windows:**

For Windows will we use two third party
application **PuTTY** and **WinSCP** for demonstration.

PuTTY:  
&lt;[putty-0.62-installer.exe](https://hcc-docs.unl.edu/download/attachments/2851288/putty-0.62-installer.exe?version=1&modificationDate=1371067913000&api=v2) or <a href="http://www.putty.org/" class="external-link">http://www.putty.org/</a>&gt;

WinSCP:
&lt;[winscp515setup.exe](https://hcc-docs.unl.edu/download/attachments/2851288/winscp515setup.exe?version=1&modificationDate=1371155133000&api=v2) or <a href="http://winscp.net/eng/download.php" class="external-link">http://winscp.net/eng/download.php</a>&gt;. 

**Mac/Linux:**

Mac and Linux users will need to download and install **Cyberduck**.
Detailed information for downloading and setting up Cyberduck can be
found here: [For Mac/Linux Users](2851290.html)

 

**R core and R Studio:**

We will be writing scripts offline in RStudio and then uploading them to
execute them on the cluster. This lesson assumes you have the R core and
RStudio installed. If you do not you can install them here:

R
core: <a href="https://cloud.r-project.org/" class="external-link">https://cloud.r-project.org/</a>

RStudio: <a href="https://www.rstudio.com/products/rstudio/download/" class="external-link">https://www.rstudio.com/products/rstudio/download/</a>

 

**Required Packages:**

We will also be using the dplyr, ggplot2 and maps package. If you do not
have these installed, please install them now. You can do so using the
following commands inside the RStudio console:

    install.packages("dplyr")

    install.packages("ggplot2")

    install.packages("maps")

 

**What is a cluster:**

<span
class="confluence-embedded-file-wrapper confluence-embedded-manual-size"><span
class="confluence-embedded-file-wrapper confluence-embedded-manual-size"><img src="assets/images/17042692/17042703.png" class="confluence-embedded-image" width="700" height="307" /></span></span>

(picture courtesy
of: <a href="http://training.h3abionet.org/technical_workshop_2015/?page_id=403" class="external-link">http://training.h3abionet.org/technical_workshop_2015/?page_id=403</a>)

 

**Linux Commands Reference List:**
----------------------------------

<table>
<colgroup>
<col style="width: 33%" />
<col style="width: 33%" />
<col style="width: 33%" />
</colgroup>
<thead>
<tr class="header">
<th><div class="tablesorter-header-inner">
Command
</div></th>
<th><div class="tablesorter-header-inner">
What it does
</div></th>
<th><div class="tablesorter-header-inner">
Example Uses
</div></th>
</tr>
</thead>
<tbody>
<tr class="odd">
<td>ls</td>
<td>list: Lists the files and directories located in the current directory</td>
<td><ul>
<li>ls</li>
<li>ls -a
<ul>
<li>shows all the files in the directory, including hidden ones</li>
</ul></li>
<li>ls -l
<ul>
<li>shows contents in a list format including information such as file size, file permissions and date the file was modified</li>
</ul></li>
<li>ls *.txt
<ul>
<li>shows all files in the current directory which end with .txt</li>
</ul></li>
</ul></td>
</tr>
<tr class="even">
<td>cd</td>
<td>change directory: this allows users to in or out of file directories</td>
<td><ul>
<li>cd &lt;folder path&gt;</li>
<li>cd folder_name
<ul>
<li>navigates into directory &quot;folder_name&quot; located in the current directory</li>
</ul></li>
<li>cd ..
<ul>
<li>navigates out of a directory and into the parent directory</li>
</ul>
cd $HOME (or $WORK)
<ul>
<li>navigates to a user's home (or work) directory</li>
</ul></li>
</ul></td>
</tr>
<tr class="odd">
<td>mv</td>
<td>move: used to move a file or directory to another location</td>
<td><ul>
<li>mv &lt;current file(s)&gt; &lt;target file(s)&gt;</li>
<li>mv * ../
<ul>
<li>moves all files from the current directory into the parent directory</li>
</ul></li>
<li>mv old_filename new_filename
<ul>
<li>renames the file &quot;old_filename&quot; to &quot;new_filename&quot;</li>
</ul></li>
</ul></td>
</tr>
<tr class="even">
<td>man</td>
<td><p>manual: displays documentation for commands</p>
<p><strong>Note:</strong> Use up and down arrows to scroll through the text. To exit the manual display, press 'q'</p></td>
<td><ul>
<li>man &lt;command name&gt;</li>
<li>man ls
<ul>
<li>displays documentation for the ls command</li>
</ul></li>
</ul></td>
</tr>
<tr class="odd">
<td>mkdir</td>
<td>make directory: creates a directory with the specified name</td>
<td><ul>
<li>mkdir &lt;new_folder&gt;
<ul>
<li>creates the directory &quot;new_folder&quot; within the current directory</li>
</ul></li>
</ul></td>
</tr>
<tr class="even">
<td>rmdir</td>
<td><p>remove directory: deletes a directory with the specified name</p>
<p><strong>Note: </strong>rmdir only works on empty directories</p></td>
<td><ul>
<li>rmdir &lt;folder_name&gt;
<ul>
<li>removes the directory &quot;folder_name&quot; if the directory</li>
</ul></li>
<li>rmdir *
<ul>
<li>removes all directories within the current directory</li>
</ul></li>
</ul></td>
</tr>
<tr class="odd">
<td>rm</td>
<td>remove: deletes file or files with the specified name(s)</td>
<td><ul>
<li>rm &lt;file_name&gt;
<ul>
<li>deletes the file &quot;file_name&quot;</li>
</ul></li>
<li>rm *
<ul>
<li>deletes all files in the current directory</li>
</ul></li>
</ul></td>
</tr>
<tr class="even">
<td><p>nano</p></td>
<td><p>nano text editor: opens the nano text editor</p>
<p><strong>Note: </strong>To access the menu options, ^ indicates the control (CTRL) key.</p></td>
<td><ul>
<li>nano
<ul>
<li>opens the text editor in a blank file</li>
</ul></li>
<li>nano &lt;file_name&gt;
<ul>
<li>opens the text editor with &quot;file_name&quot; open. If &quot;file_name&quot; does not exist, it will be created if the file is saved</li>
</ul></li>
</ul></td>
</tr>
<tr class="odd">
<td>clear</td>
<td>clear: clears the screen of all input/output</td>
<td><ul>
<li>clear</li>
</ul></td>
</tr>
<tr class="even">
<td>less</td>
<td><p>less: opens an extended view of a file</p>
<p><strong>Note: </strong>Use up and down arrows to scroll through the text. To exit the extended view, press 'q'</p></td>
<td><ul>
<li>less &lt;file_name&gt;
<ul>
<li>opens an extended view of the file &quot;file_name&quot;</li>
</ul></li>
</ul></td>
</tr>
</tbody>
</table>

 

### To download the tutorial files:

-   Navigate to your $WORK directory: 
    -   cd $WORK

-   Clone the github repo containing the tutorial files:
    -   git clone https://github.com/unlhcc/HCCWorkshops.git

 

Take Home Exercise:

[Data Analysis in R](attachments/17042692/17042690.pdf) - Please note
that the on the bottom of page three, there is a missing parenthesis at
the end of the last command.

The final code chunk should read:

    # Calculate flight age using birthmonth

    age <- data.frame(names(acStart), acStart, stringsAsFactors=FALSE)

    colnames(age) <- c("TailNum", "acStart")

    flights <- left_join(flights, age, by="TailNum")

    flights <- mutate(flights, Age = (flights$Year * 12) + flights$Month - flights$acStart)

Attachments:
------------

<img src="assets/images/icons/bullet_blue.gif" width="8" height="8" />
[Big\_Data\_Example.pdf](attachments/17042692/17042690.pdf)
(application/pdf)  
<img src="assets/images/icons/bullet_blue.gif" width="8" height="8" /> [Screen
Shot 2017-03-08 at 10.19.41 AM.png](attachments/17042692/17042691.png)
(image/png)  
<img src="assets/images/icons/bullet_blue.gif" width="8" height="8" /> [Screen
Shot 2017-03-08 at 10.20.51 AM.png](attachments/17042692/17042693.png)
(image/png)  
<img src="assets/images/icons/bullet_blue.gif" width="8" height="8" /> [Screen
Shot 2017-03-08 at 10.27.19 AM.png](attachments/17042692/17042695.png)
(image/png)  
<img src="assets/images/icons/bullet_blue.gif" width="8" height="8" /> [Screen
Shot 2017-03-08 at 10.28.57 AM.png](attachments/17042692/17042696.png)
(image/png)  
<img src="assets/images/icons/bullet_blue.gif" width="8" height="8" /> [Screen
Shot 2017-03-08 at 10.30.11 AM.png](attachments/17042692/17042697.png)
(image/png)  
<img src="assets/images/icons/bullet_blue.gif" width="8" height="8" />
[cluster\_small2.png](attachments/17042692/17042703.png) (image/png)  


