+++
title = "Available images"
description = "HCC-provided images for Anvil"
+++

HCC provides pre-configured images available to researchers.  Below is a
list of available images.

|       Image Name         |  Username to Connect |        Access instructions           |                                 Description                                       |
| ------------------------ | -------------------- | ------------------------------------ | --------------------------------------------------------------------------------- |
| Cloudera 5.12 GNOME      |  `cloudera`          | [X2Go instructions]({{< relref "connecting_to_linux_instances_using_x2go" >}}) | Cloudera 5.12 QuickStart VM. *Note*: Follow the X2Go instructions, but choose GNOME for the Session type instead of Xfce.|
| CentOS 7.4               |   `centos`           | `ssh -l centos@<ip address>`         | The CentOS Linux distribution is a stable, predictable, manageable and reproducible platform derived from the sources of Red Hat Enterprise Linux (RHEL).|
| CentOS 6.9	           |   `centos`           | `ssh -l centos@<ip address>`         | **HCC Standard OS**. The CentOS Linux distribution is a stable, predictable, manageable and reproducible platform derived from the sources of Red Hat Enterprise Linux (RHEL).|
| Fedora 26 Cloud	   |   `fedora`           | `ssh -l fedora <ipaddress>`          | Fedora is a Linux distribution developed by the community-supported Fedora Project and sponsored by the Red Hat company.|
| Fedora 26 RStudio (Xfce) |   `fedora`           |[X2Go instructions]({{< relref "connecting_to_linux_instances_using_x2go" >}}) | Fedora 26 with the Xfce Desktop Environment pre-installed.|
| CentOS 7.4 Xfce          |   `centos`           |[X2Go instructions]({{< relref "connecting_to_linux_instances_using_x2go" >}}) | CentOS 7.4 with the Xfce Desktop Environment pre-installed.|
| CentOS 6.9 Xfce          |   `centos`           |[X2Go instructions]({{< relref "connecting_to_linux_instances_using_x2go" >}}) | CentOS 6.9 with the Xfce Desktop Environment pre-installed.|
| Ubuntu 14.04 Xfce        |   `ubuntu`           |[X2Go instructions]({{< relref "connecting_to_linux_instances_using_x2go" >}}) | Ubuntu 14.04 with the Xfce Desktop Environment pre-installed.|
| Ubuntu 16.04 Xfce        |   `ubuntu`           |[X2Go instructions]({{< relref "connecting_to_linux_instances_using_x2go" >}}) | Ubuntu 16.04 with the Xfce Desktop Environment pre-installed.|
| Ubuntu 17.04 Xfce        |   `ubuntu`           |[X2Go instructions]({{< relref "connecting_to_linux_instances_using_x2go" >}}) | Ubuntu 17.04 with the Xfce Desktop Environment pre-installed.|
| Windows 7	           |   `cloud-user`       |[Windows instructions]({{< relref "connecting_to_windows_instances" >}})       | Windows 7 Enterprise edition with remote desktop access.|
| Windows 10	           |   `cloud-user`       |[Windows instructions]({{< relref "connecting_to_windows_instances" >}})       | Windows 10 LTSB edition with remote desktop access.|
| Windows 7 Matlab         |  `cloud-user`        |[Windows instructions]({{< relref "connecting_to_windows_instances" >}})       | Windows 7 Enterprise with Matlab r2013b, r2014b, r2015b, r2016b, r2017a pre-installed.|
| Windows 10 Matlab	   |  `cloud-user`        |[Windows instructions]({{< relref "connecting_to_windows_instances" >}})       | Windows 10 LTSB with Matlab r2013b, r2014b, r2015b, r2016b, r2017a pre-installed.|
| Windows 7 SAS	           |  `cloud-user`        |[Windows instructions]({{< relref "connecting_to_windows_instances" >}})       | Windows 7 Enterprise with SAS 9.3, 9.4 pre-installed.|
| Windows 10 SAS	   |  `cloud-user`        |[Windows instructions]({{< relref "connecting_to_windows_instances" >}})       | Windows 10 LTSB with Matlab r2013b, r2014b, r2015b, r2016b, r2017a pre-installed.|
| Windows 7 Mathematica	   |  `cloud-user`        |[Windows instructions]({{< relref "connecting_to_windows_instances" >}})       | Windows 7 Enterprise with Mathematica 10.4 and 11.0 pre-installed.|
| Windows 10 Mathematica   |  `cloud-user`        |[Windows instructions]({{< relref "connecting_to_windows_instances" >}})       | Windows 10 LTSB with Mathematica 10.4 and 11.0 pre-installed.|
| Ubuntu Cloud 14.04 LTS   |  `ubuntu`            | `ssh -l ubuntu <ipaddress>`         | Ubuntu Cloud Image from the 14.04 Long Term Support release.|
| Ubuntu Cloud 16.04 LTS   |  `ubuntu`            | `ssh -l ubuntu <ipaddress>`         | Ubuntu Cloud Image from the 16.04 Long Term Support release.|
| Ubuntu Cloud 17.04 LTS   |  `ubuntu`            | `ssh -l ubuntu <ipaddress>`         | Ubuntu Cloud Image from the 17.04 Long Term Support release.|


Additional images can be produced by HCC staff by request at
{{< icon name="envelope" >}}[hcc-support@unl.edu] (mailto:hcc-support@unl.edu).
 
