+++
title = "Connecting to Linux Instances from Mac"
description = "How to connect to Linux-based instance from a Mac" 
+++

{{% notice info %}}
This guide assumes you associated your SSH Key Pair with the instance
when it was created, and that you are connected to the [Anvil VPN]({{< relref "connecting_to_the_anvil_vpn" >}}).
{{% /notice %}}

Access to Linux instances is via standard SSH, however SSH keys are used
as opposed to entering a username and password.  

Start the built-in *Terminal* application, located in the *Utilities*
folder under *Applications.*

{{< figure src="/images/13599111.png" width="598" height="67" >}}

Login into the web dashboard atn https://anvil.unl.edu.
From the left-hand side menu, choose *Instances.*

{{< figure src="/images/13599115.png" width="226" height="374" >}}

This will show a table with the running instances and a few details
about them.  Take note of the *IP address* entry; this is the address
that will be used to connect.

{{< figure src="/images/13599117.png" width="1064">}}

In this example, the private key file is assumed to be on the desktop,
and named `anvil_key`.  Depending on which Linux OS you're using in your
instance, the username to use will be different.  See the 
[Available Images]({{< relref "available_images" >}})
page for a table with the username to use for each OS.  
In the *Terminal* application, run the commandi

{{< highlight bash >}}ssh -i ~/Desktop/anvil_key centos@<ip address> {{< /highlight >}}

substituting the IP address of your instance.  For the example here, it would look
like:

{{< figure src="/images/13599205.png" >}}

The first time you connect, you will get a warning; type `yes` and hit
Enter to continue connecting.  Subsequent connections will not show this
warning.

{{< figure src="/images/13599208.png" >}}

You will now be logged into your instance and can use it.

{{< figure src="/images/13599212.png" width="592" >}}
