+++
title = "Connecting to Linux Instances from Windows"
description = "How to connect to Linux-based instance from Windows"
+++

{{% notice info %}}
This guide assumes you associated your SSH Key Pair with the instance
when it was created, and that you are connected to the [Anvil VPN]({{< relref "connecting_to_the_anvil_vpn" >}}).
{{% /notice %}}

If do not already have the PuTTY package installed, download and install
it from [this link](https://the.earth.li/~sgtatham/putty/latest/w32/putty.exe).
Once installed, start PuTTY.

Login into the web dashboard at https://anvil-beta.unl.edu/.
From the left-hand side menu, choose *Instances*.

{{< figure src="/images/13599115.png" width="226" height="374" >}}

This will show a table with the running instances and a few details
about them.  Take note of the *IP address* entry; this is the address
that will be used to connect.

{{< figure src="/images/13599117.png" width="1064" >}}

In this example, the private key file is assumed to be
named `anvil_key.ppk` and saved on the desktop.  In PuTTY window, click
the '+' icon next to *SSH* under *Connection* to expand the menu.

{{< figure src="/images/13599229.png" width="450" >}}

Next, click the *Auth* menu item.

{{< figure src="/images/13599231.png" width="450" >}}

Click the *Browse* button and the select the `anvil_key.ppk `file.

{{< figure src="/images/13599236.png" width="450" >}}

With the private key selected, click the *Session* menu option at the
top to return to the original PuTTY window.

{{< figure src="/images/13599239.png" width="450" >}}

Fill in the *Host Name (or IP address)* field with the IP address of you
instance.  Choose a name to save the settings for your instance with and
enter it in the *Saved Sessions* field.

{{< figure src="/images/13599242.png" width="450" >}}

Click the *Save* button to save everything.

{{< figure src="/images/13599246.png" width="450" >}}

Next, click *Open* to connect to your instance.

{{< figure src="/images/13599248.png" width="450" >}}

Since this is the first time connecting to the instance, a warning box
will appear.  Click *Yes* to continue and save the instance's key.  This
warning box will not appear on subsequent connections.

{{< figure src="/images/13599251.png" >}}

You should then see a terminal window prompting for a username.

{{< figure src="/images/13599255.png" >}}

Depending on which Linux OS you're using for your instance, the
username will be different.  See the 
[Available Images]({{< relref "available_images" >}})
page for a table with the username corresponding to each OS.  The
example instance here is CentOS, so the username is `centos.`  Enter
the appropriate username and hit Enter.  You should then be logged in.

{{< figure src="/images/13599258.png" >}}
