+++
title = "Connecting to Linux Instances using X2Go"
description = "How to connect to Linux-based instances using X2Go (for images with Xfce)"
+++

### Install the X2Go Client

- Linux
  - On RedHat or CentOS, enable EPEL repo and install the `x2goclient` package
  - On Fedora, install the `x2goclient` package
- On Windows or OSX, download and run the X2Go Client installer
    from http://wiki.x2go.org/doku.php/download:start or
    via the direct links below
  - [Windows installer direct link](http://code.x2go.org/releases/X2GoClient_latest_mswin32-setup.exe)
  - [OS X 10.6 or higher installer direct link](http://code.x2go.org/releases/X2GoClient_latest_macosx.dmg)
  - [OS X 10.9 or higher installer direct link](http://code.x2go.org/releases/X2GoClient_latest_macosx_10_9.dmg)

### Start an instance on Anvil with Xfce

Start a new instance with any of the 
[images that include Xfce]({{< relref "available_images" >}}).

Steps:

1.  Under Compute... Instances... click the 'Launch Instance' button
2.  Choose 'Boot from image', and select your desired image (here
    'CentOS 7.2 Xfce' is used)
    {{< figure src="/images/16520061.png" width="550" >}}
3.  On the 'Access and Security' tab, ensure the 'default' security
    group is checked. This will allow incoming SSH access.  
    {{< figure src="/images/16520060.png" height="250" >}}
4.  On the 'Networking' tab, add the 'Cluster Interface' network only
    {{< figure src="/images/16520059.png" width="550" >}}
5.  Launch the instance
6.  On the instances page, note the IP Address of your new instance

### Connect with the X2Go Client

Create a new session with the following settings:

1.  Host: IP address of your instance
2.  Login: centos
3.  RSA key: Configure with the id\_rsa key pair you used to create the
    instance
4.  Session type: XFCE
5.  Click 'OK' to save your new session

{{< figure src="/images/16520057.png" width="550" >}}

Open the connection:

1.  Anvil instances are on a private network. To reach them with SSH,
    you'll need to connect to the 
    [Anvil VPN]({{< relref "connecting_to_the_anvil_vpn" >}}).
2.  Click on the session in X2Go Client to open it
3.  The first time you connect, you'll be asked to confirm the SSH key
    of the remote server.
    {{< figure src="/images/16520058.png" width="500" >}}
4.  After a couple seconds, a desktop will open. Click 'Use default
    config' to get a standard Xfce Linux desktop.  
    {{< figure src="/images/16520055.png" width="345" >}}
5.  You're ready to use your Xfce Linux desktop
    {{< figure src="/images/16520056.png" width="333" >}}
