+++
title = "Globus Connect"
description = "Globus Connect overview"
+++

<a href="https://www.globus.org/globus-connect" class="external-link">Globus Connect</a> is
a fast and robust file transfer service that allows users to quickly
move large amounts of data between computer clusters and even to and
from personal workstations.  This service has been made available for
Tusker, Crane, and Attic. HCC users are encouraged to use Globus
Connect for their larger data transfers as an alternative to slower and
more error-prone methods such as scp and winSCP. 

---

### Globus Connect Advantages

-   Dedicated transfer servers on Tusker, Crane, and Attic allow
    large amounts of data to be transferred quickly between sites.

-   A user can install Globus Connect Personal on his or her workstation
    to enable data transfer to and from one of the HCC sites.

-   Globus will notify users via email when their transfer has
    completed.

-   Users can share data with other researchers (both NU and non-NU affiliated).

-   Globus' simple web interface makes data transfers and sharing easy
    for users to initiate and manage. 

      
---
### Getting Started

Users must first sign up for an account on
the <a href="https://www.globus.org/SignUp" class="external-link">Globus Connect website</a> or may use their NU credentials to sign in without creating a separate Globus ID.
 Accounts are free and grant users access to any Globus endpoint for
which they are authorized.  An endpoint is simply a file system to or
from which a user transfers files.  All HCC users are authorized to
access their own /home, /work, and /common directories on Tusker and Crane via the Globus endpoints (named: `hcc#tusker` and `hcc#crane`).  Those who have purchased Attic storage space can
access their /attic directories via the Globus endpoint hcc\#attic. To
initialize or activate the endpoint, users will be required to enter
their HCC username, password, and Duo credentials for authentication.
 The steps involved in activating endpoints and making data transfers
are detailed in the following links.  Please contact us at <a href="mailto:hcc-support@unl.edu" class="external-link">hcc-support@unl.edu</a> if you encounter any difficulties.

---
### Usage Instructions

- [Log into Globus](https://www.globus.org/SignUp) (do this first!)

- [Activating HCC
Endpoints]({{< relref "activating_hcc_cluster_endpoints" >}})

- [File Transfers Between
Endpoints]({{< relref "file_transfers_between_endpoints" >}})

- [File Transfers to/from Personal
Workstations]({{< relref "file_transfers_to_and_from_personal_workstations" >}})

- [File Sharing]({{< relref "file_sharing" >}})

- [Creating Globus
Groups]({{< relref "creating_globus_groups" >}})

---

{{% notice info %}}
If you wish, you may use the [Globus Command Line
Interface]({{< relref "globus_command_line_interface" >}}) instead of the
web interface.
{{% /notice %}}


