+++
title = "Activating HCC Cluster Endpoints"
description = "How to activate HCC endpoints on Globus"
weight = 20
+++

You will not be able to transfer files to or from an HCC endpoint using Globus Connect without first activating the endpoint.  Endpoints are available for Tusker (`hcc#tusker`), Crane (`hcc#crane`), and Attic (`hcc#attic`).  Follow the instructions below to activate any of these endpoints and begin making transfers.

1.  [Sign in](https://www.globus.org/SignIn) to your Globus account using your campus credentials or your Globus ID (if you have one).  Then click on 'Endpoints' in the left sidebar.  
{{< figure src="/images/Glogin.png" >}}    
{{< figure src="/images/endpoints.png" >}}

2.  Find the endpoint you want by entering '`hcc#tusker`', '`hcc#crane`', or '`hcc#attic`' in the search box and hit 'enter'.  Once you have found and selected the endpoint, click the green 'activate' icon. On the following page, click 'continue'.  
{{< figure src="/images/activateEndpoint.png" >}}
{{< figure src="/images/EndpointContinue.png" >}}      

3.  You will be redirected to the HCC Globus Endpoint Activation page.  Enter your *HCC* username and password (the password you usually use to log into the HCC clusters).
{{< figure src="/images/hccEndpoint.png" >}}

4.  Next you will be prompted to
    provide your *Duo* credentials.  If you use the Duo Mobile app on
    your smartphone or tablet, select 'Duo Push'.  Once you approve the notification that is sent to your phone,
    the activation will be complete.  If you use a Yubikey for
    authentication, select the 'Passcode' option and then press your
    Yubikey to complete the activation. Upon successful activation, you
    will be redirected to your Globus *Manage Endpoints* page.  
{{< figure src="/images/EndpointPush.png" >}}
{{< figure src="/images/endpointComplete.png" >}}

The endpoint should now be ready
and will not have to be activated again for the next 7 days.  
To transfer files between any two HCC clusters, you will need to
activate both endpoints individually. 

Next, learn how to [make file transfers between HCC endpoints]({{< relref "file_transfers_between_endpoints" >}}) or how to [transfer between HCC endpoints and a personal computer]({{< relref "file_transfers_to_and_from_personal_workstations" >}}).

---

 
