+++
title = "File Sharing"
description = "How to share files using Globus"
weight = 50
+++

If you would like another colleague or researcher to have access to your
data, you may create a shared endpoint on Tusker, Crane, or Attic. You can personally manage access to this endpoint and
give access to anybody with a Globus account (whether or not
they have an HCC account).  *Please use this feature responsibly by
sharing only what is necessary and granting access only to trusted
users.*

{{% notice info %}}
Shared endpoints created in your `home` directory on HCC servers (with
the exception of Attic) are *read-only*. You may create readable and
writable shared endpoints in your `work` directory (or `/shared`).
{{% /notice %}}

1.  Sign in to your Globus account, click on the 'Endpoints' tab
    and search for the endpoint that you will use to host your shared
    endpoint.  For example, if you would like to share data in your
    Tusker `work` directory, search for the `hcc#tusker` endpoint.  Once
    you have found the endpoint, it will need to be activated if it has
    not been already (see [endpoint activation instructions
    here]({{< relref "activating_hcc_cluster_endpoints" >}})).
     If it is already activated, select the endpoint by clicking on the
    name.  Then select the 'share' button on the right sidebar.
{{< figure src="/images/sharedEndpoint.png" >}}
{{< figure src="/images/shareButton.png" >}}
      
2.  In the 'Path' box, enter the full path to the directory you
    would like to share.  Only files under this directory will be shared
    to the endpoint users you grant access.  Enter a descriptive endpoint
    name and provide a
    short description of the endpoint if you wish.  Finally, click 'Create Share'.
{{< figure src="/images/createShare.png" >}}
      
3.  Type the Globus ID (or group name) of the user (or group) to whom you would like to grant
    access to this endpoint.  Next enter the *relative path* of the
    directory that this user should be able to access.  For example, if
    the source path of your shared endpoint
    is `/work/<groupid>/<userid>/share` but you would like your
    colleague to only have access
    to `/work/<groupid>/<userid>/share/dataX`, then the 'Path' should be
    entered as simply `/dataX`.  Finally, click the blue 'Add Permission' button.
     You should see the user or group added to the list.
{{< figure src="/images/addPermission.png" >}}
{{< figure src="/images/sharedGroup.png" >}}
      

---
 


