+++
title = "File Transfers Between Endpoints"
description = "How to transfer files between HCC clusters using Globus"
weight = 30
+++

To transfer files between HCC clusters, you will first need to
[activate]({{< relref "activating_hcc_cluster_endpoints" >}}) the
two endpoints you would like to use (the available endpoints
are: `hcc#tusker,` `hcc#crane, and `hcc#attic)`.  Once
that has been completed, follow the steps below to begin transferring
files.  (Note: You can also transfer files between an HCC endpoint and
any other Globus endpoint for which you have authorized access.  That
may include a [personal
endpoint]({{< relref "file_transfers_to_and_from_personal_workstations" >}}),
a [shared
endpoint]({{< relref "file_sharing" >}}),
or an endpoint on another computing resource or cluster.  Once the
endpoints have been activated, the file transfer process is generally
the same regardless of the type of endpoints you use.  For demonstration
purposes we use two HCC endpoints.)

1.  Once both endpoints for the desired file transfer have been
    activated, [sign in](https://www.globus.org/SignIn) to
    your Globus account (if you are not already) and select
	"Transfer or Sync to.." from the right sidebar. If you have
	a small screen, you may have to click the menu icon 
	first.
{{< figure src="/images/Transfer.png">}}
      
2.  Enter the names of the two endpoints you would like to use, or
    select from the drop-down menus (for
    example, `hcc#tusker` and `hcc#crane`).  Enter the
    directory paths for both the source and destination (the 'from' and
    'to' paths on the respective endpoints). Press 'Enter' to view files
    under these directories.  Select the files or directories you would
    like to transfer (press *shift* or *control* to make multiple
    selections) and click the blue highlighted arrow to start the
    transfer.  
{{< figure src="/images/startTransfer.png" >}}
    
3.  Globus will display a message when your transfer has completed 
	(or in the unlikely event that it was unsuccessful), and you will 
	also receive an email. Select the 'refresh' icon to see your file
	in the destination folder.
{{< figure src="/images/transferComplete.png" >}}      

--- 


