+++
title = "Using NU's Gitlab instance"
description = "How to use the NU-hosted git.unl.edu"
weight = "40"
+++

[Git](http://git-scm.com) is a free
and open source distributed version control system designed to handle
everything from small to very large projects with speed and efficiency.
Users are encouraged to make use of git for source code management of
their projects.  

[GitLab](https://about.gitlab.com) is a web-based Git repository manager
with wiki and issue tracking features. NU OneIT hosts an instance of
GitLab at https://git.unl.edu,
which can be accessed using credentials from any campus participating in
the InCommon federation.  This includes UNL, UNO,  and UNMC, as well as 
most major US Universities. Using a service such as GitLab provides several 
additional advantages over a simple repository, including collaboration, repository
management, issue tracking, and code review.

To get started, go to [git.unl.edu](https://git.unl.edu). Click the "Sign in with Shibboleth" button.

{{< figure src="/images/11304982.png" height="400" >}}

This will take you to the InCommon site to select your school,
organization, etc.  You may wish to choose the "Remember my selection
permanently" option to bypass this step in the future.

{{< figure src="/images/11304983.png" height="400" >}}

Next, scroll through to find your particular institution.  For example, for UNL users, select "University
of Nebraska-Lincoln".

{{< figure src="/images/11304984.png" height="400" >}}

After you click "Next", you will be redirected to your particular
institution or campus's login page.  Complete the login to proceed to
your account's Dashboard page and begin using GitLab.  

For more information on using GitLab on the HCC Clusters, see [Setting up GitLab on HCC Clusters]({{< relref "setting_up_gitlab_on_hcc_clusters" >}}).

See [Getting Started with Git and GitLab](https://about.gitlab.com/2014/02/26/getting-started-with-gitlab) or
the full GitLab [documentation](http://doc.gitlab.com/ce/) for additional help.

