+++
title = "Compiling Source Code"
description = "How to compile source code of various types on HCC resources."
+++

Compiling source code on HCC machines is done with compiler environments
configured by the `module` utility.  The utility adds directives to the
environment and adds executables to the `PATH` so that users and jobs
can directly call the compilers.

### Finding available compiler Modules

{{< highlight bash >}}
$ module spider compiler
{{< /highlight >}}

This command will list available compiler modules to load.

### Loading Modules

{{< highlight bash >}}
$ module load <module>
{{< /highlight >}}

This command will load an available module.  The modules are usually in
the form of `compiler/<name>/<version>`.
