+++
title = "How to setup X11 forwarding"
description = "Use X11 forwarding to view GUI programs remotely"
weight = "35"
+++

##### If you are connecting to HCC clusters via a PC running Windows, please take the following steps to setup X11 forwarding.

1.  Download Xming to your local PC and install. Download
    link: https://downloads.sourceforge.net/project/xming/Xming/6.9.0.31/Xming-6-9-0-31-setup.exe
2.  Download PuTTY to your local PC and install.  Download link: http://the.earth.li/~sgtatham/putty/latest/x86/putty.exe
3.  Open Xming and keep it running in the background.
4.  Configure PuTTY as below:  
    {{< figure src="/images/11637370.png" height="400" >}}
    {{< figure src="/images/11637371.jpg" height="400" >}}

5.  To test your X11 setup, after login, type command `xeyes` and press
    enter.  
    {{< figure src="/images/11637372.png" height="400" >}}

6.  Close the xeyes application by "Ctrl + c" from the terminal or click
    the close button on the up-right corner of the graphical window.

 

##### If you are connecting to HCC clusters via a Macintosh, please take the following steps to setup X11 forwarding.

- Check the OS version on your Mac, if it's below 10.8., you can simply type `ssh -Y username@hostname` in your terminal to login.

- If your OS version is newer than 10.8, please do the following:
  1. Download and install XQuartz.
    Download link: https://dl.bintray.com/xquartz/downloads/XQuartz-2.7.11.dmg
  2. Type `ssh -Y username@hostname` in your terminal to login.
  3. To test your X11 setup, after login, type command "xeyes" and press
    enter. 

    {{< figure src="/images/11637374.png" height="400" >}} 
  4. Close the xeyes application by "Control + c" from the terminal or
    click the close button on the up-left corner of the graphical
    window.  
      
##### If you are connecting to HCC clusters via a Linux laptop, please take the following steps to setup X11 forwarding.

1.  Open the remote client terminal.
2.  Type `ssh -Y username@hostname`" in your terminal to login.
3.  To test your X11 setup, after login, type command "xeyes" and press
    enter.
4.  Close the xeyes application by "Ctrl + c" from the terminal or click
    the close button on the up-right corner of the graphical window.

 

#### Related articles

[X11 on Windows](http://www.straightrunning.com/XmingNotes)

[X11 on Mac](https://en.wikipedia.org/wiki/XQuartz)

[X11 on Linux](http://www.wikihow.com/Configure-X11-in-Linux)
