+++
title = "Sandstone"
description =  "How to use HCC's sandstone environment"
weight = "45"
+++


### Overview

The HCC Sandstone environment is a GUI interface to the Crane cluster featuring a file browser, text editor, web terminal and SLURM script helper,

To login to the Sandstone environment, go to [crane.unl.edu](https://crane.unl.edu) in your web browser and sign in using your HCC Login Info and DUO authentication.

Upon login, you will land at the File Browser.


### File Browser
The file broswer allows you to view, access, and transfer files on Crane. On the left side you will have your available spaces, both your home and work directories. In the upper right, you have buttons to upload files, create a file, and create a directory. 

{{< figure src="/images/SandstonefileBrowserOver.png" height="300" >}}

Clicking on either will change your current directory to either your home or work directory and display your user/group usage and quotas. You can navigate directories by clicking through them. 

{{< figure src="/images/SandstonefileOptions.png" height="300" >}}

Clicking on a file or directory will bring up some options such as the permissions and actions to do such as editing the file, duplicating or moving it, deleting it, and downloading it.  

### Editor
The editor is a basic text editor that allows you to have multiple files loaded and manipulate the files. A small file explorer is available on the left side to access more files. There are similar actions available for files above the mini file browser. 

{{< figure src="/images/Sandstoneeditor.png" height="300" >}}

Like most text editors, basic functions exist to undo and redo changes, find and replace, and most importantly, to save the file. 

{{< figure src="/images/SandstoneedtiorDropDown.png" height="300" >}}

### Terminal

The terminal gives you access to the linux command line on crane, similar to what you would have if you SSH'd directly into Crane. Once the login and quote screen, you can enter commands and interact as you would with a standard terminal.
{{< figure src="/images/SandstoneTerminal.png" height="300" >}}

### Slurm Assist

Slurm assist is a tool to help create and run slurm submit scripts. The first step is to select a base profile from the profile dropdown menu. Options will appear and the directives will automatically appear. The options are editable to better fit to your specific job with more details found in our submitting jobs documentation. After the directives are filled out, you can then add the commands to start your job in the script section. To save the job, select 'save script for later' and save the script in a known location for later.
{{< figure src="/images/SandstoneSASettings.png" height="300" >}}
From here, you can also schedule the script recently create, by selecting "Schedule Job". A confirmation will appear with the Job ID and then an instruction on how to view the status of your job.
{{< figure src="/images/SandstoneJobConf.png" height="150" >}}
{{< figure src="/images/SandstoneSAStatus.png" height="300" >}}
You can view the progress of other jobs from slurm assist by going to the status page. Here you will see the State of the job, its ID, name, group name, runtime, and the start and end times. 
{{< figure src="/images/SandstoneSAStatusPage.png" height="150" >}}
{{< figure src="/images/SandstoneSAStatuses.png" height="300" >}}