+++
title = "Submitting HTCondor Jobs"
description =  "How to submit HTCondor Jobs on HCC resources."
+++

If you require features of HTCondor, such as DAGMan or Pegasus,
[HTCondor](http://research.cs.wisc.edu/htcondor/) can
submit jobs using HTCondor's PBS integration.  This can
be done by adding `grid_resource = pbs` to the submit file.  An example
submission script is below:

{{% panel theme="info" header="submit.condor" %}}
{{< highlight batch >}}
universe = grid
grid_resource = pbs
executable = test.sh
output = stuff.out
error = stuff.err
log = stuff.log
batch_queue = guest
queue
{{< /highlight >}}
{{% /panel %}}

The above script will translate the condor submit file into a SLURM
submit file, and execute the `test.sh` executable on a worker node. 

{{% notice warning %}}
The `/home` directories are read only on the worker nodes. You
have to submit your jobs from the `/work` directory just as you would in
SLURM.
{{% /notice %}}

### Using Pegasus

If you are using [Pegasus](http://pegasus.isi.edu),
instructions on using the *glite* interface (as shown above) are
available on the
[User Guide](http://pegasus.isi.edu/wms/docs/latest/execution_environments.php#glite).
