+++
title = "For Mac/Linux Users"
description = "Quickstart Guide for Mac/Linux Users"
weight = "22"
+++

##### Use of Duo two-factor authentication is **required** to access HCC resources.
##### Please see [Setting up and Using Duo]({{< relref "setting_up_and_using_duo" >}}).
---
- [Access to HCC Supercomputers] (#access-to-hcc-supercomputers)
- [File Transferring with HCC Supercomputers] (#file-transfering)
 - [SCP] (#using-the-scp-command)
 - [CyberDuck] (#using-cyberduck)
- [Mac Tutorial Video](#mac-tutorial-video)
- [Linux Tutorial Video](#linux-tutorial-video)

This quick start will help you configure your personal computer to work
with the HCC supercomputers.

If you are running Windows, please use the quickstart [For Windows
Users]({{< relref "for_windows_users" >}}).

Access to HCC Supercomputers
-------------------------------

For Mac/Linux users, use the system program Terminal to access to the
HCC supercomputers. In the Terminal prompt,
type `ssh <username>@tusker.unl.edu` and the corresponding password
to get access to the HCC cluster **Tusker**. Note that &lt;username&gt;
should be replaced by your HCC account username. If you do not have a
HCC account, please contact a HCC specialist
({{< icon name="envelope" >}}[hcc-support@unl.edu] (mailto:hcc-support@unl.edu))
or go to http://hcc.unl.edu/newusers.
To use the **Crane** cluster, replace tusker.unl.edu with with crane.unl.edu.

{{< highlight bash >}}
$ ssh <username>@tusker.unl.edu
$ <password>
{{< /highlight >}}

File Transferring with HCC Supercomputers
-----------------------------------------

### Using the SCP command

For Mac/Linux users, file transferring between your personal computer
and the HCC supercomputers can be achieved through the command `scp`.
Here we use **Tusker** for example. **The following commands should be
executed from your computer. **

**Uploading from local to remote**

{{< highlight bash >}}
$ scp -r ./<folder name> <username>@tusker.unl.edu:/work/<group name>/<username>
{{< /highlight >}}

The above command line transfers a folder from the current directory
(`./`) of the your computer to the `$WORK` directory of the HCC
supercomputer, Tusker. Note that you need to replace `<group name>`
and `<username>` with your HCC group name and username. 

**Downloading from remote to local**

{{< highlight bash >}}
$ scp -r <username>@tusker.unl.edu:/work/<group name>/<username>/<folder name> ./
{{< /highlight >}}

The above command line transfers a folder from the `$WORK` directory of
the HCC supercomputer, Tusker, to the current directory (`./`) of the
your computer.

### Using Cyberduck
---------------

If you wish to use a GUI, be aware that not all programs will function
correctly with Duo two-factor authentication.  Mac users are recommended
to use [Cyberduck](http://cyberduck.io). It is compatible with Duo, but a 
few settings need to be changed.

Under **Preferences - General**, change the default protocol to SFTP:

{{< figure src="/images/7274497.png" height="450" >}}

Under **Preferences - Transfers**, reuse the browser connection for file
transfers.  This will avoid the need to reenter your password for every
file transfer:

{{< figure src="/images/7274498.png" height="450" >}}

Finally, under **Preferences - SFTP**, set the file transfer method to
SCP:

{{< figure src="/images/7274499.png" height="450" >}}

To add an HCC machine, in the bookmarks pane click the "+" icon:

{{< figure src="/images/7274500.png" height="450" >}}

Ensure the type of connection is SFTP.  Enter the hostname of the machine 
you wish to connect to (tusker.unl.edu, crane.unl.edu) in the **Server**
field, and your HCC username in the **Username** field.  The
**Nickname** field is arbitrary, so enter whatever you prefer.

{{< figure src="/images/7274501.png" height="450" >}}

After you add the bookmark, double-click it to connect.

{{< figure src="/images/7274505.png" height="450" >}}

Enter your HCC username and password in the dialog box that will appear
and click *Login*.

{{< figure src="/images/7274508.png" height="450" >}}

A second login dialogue will now appear.  Notice the text has changed to
say Duo two-factor.

{{< figure src="/images/7274510.png" height="450" >}}

Clear the **Password** field in the dialogue.  If you are using the Duo
Mobile app, enter '1' to have a push notification send to your phone or
tablet.  If you are using a Yubikey, ensure the cursor is active in the
**Password** field, and press the button on the Yubikey.

{{< figure src="/images/7274509.png" height="450" >}}

The login should complete and you can simply drag and drop files to or
from the window.

{{< figure src="/images/7274511.png" height="450" >}}

Mac Tutorial Video
------------------

{{< youtube ulfcmRGfqxU >}}

Linux Tutorial Video
--------------------

{{< youtube K0i3swpwtdc >}}
