+++
title = "Changing Your Password"
description = "How to change your HCC password"
weight = "30"
+++

How to change your password
---------------------------

{{% notice info%}}
**Your account must be active with Duo authentication setup in order for
the following instructions to work.**
{{% /notice %}}

- [HCC password requirements](#hcc-password-requirements)
- [Changing a known HCC password](#changing-a-known-hcc-password)
    - [Change your password via the command line](#change-your-password-via-the-command-line)
    - [Change your password using the myHCC User Portal](#change-your-password-using-the-myhcc-user-portal)
- [Resetting a forgotten HCC password](#resetting-a-forgotten-hcc-password)
- [Tutorial Video](#tutorial-video)

Every HCC user has a password that is same on all HCC machines
(Tusker, Crane, Anvil). This password needs to satisfy the HCC
password requirements.

### HCC password requirements

All HCC passwords must meet the following requirements when they are
created or changed:

-   at least 8 characters long
-   at least 1 capital letter
-   at least 1 number
-   **can not** contain an existing dictionary word
-   **can not** contain information from user's account details (*username*,
    *email*)

Using special characters in the password is not required, but it is
allowed. Also, the system keeps a history of the user's previous two
passwords, and their reuse is not allowed.

### Changing a known HCC password

If you know your current HCC password, you can use one of two approaches
to change it:

#### Change your password via the command line

To change a current or temporary password, the user needs to login to
any HCC cluster (Crane or Tusker) and use the ***passwd*** command: 

**Change HCC password**

{{< highlight bash >}}
$ passwd
Changing password for user <username>.
Current Password:
New password:
New password:
{{< /highlight >}}

With this command, the user is first prompted for his/her old password.
If the "*Current Password*" is correct, then the user is asked twice for
a replacement password ("*New password*"). The replacement password
needs to fulfill the HCC password requirements.

#### Change your password using the myHCC User Portal

1.  Login to the [myHCC User Portal](https://hcc.unl.edu/myhcc)
    with your HCC credentials.
2.  Click **Update Account** in the top menu  
    
    {{< figure src="/images/35326617.png" height="150" >}} 
         
3.  Enter your new password in the **Password** and **Retype Password**
    boxes and click **Modify** to save

    {{< figure src="/images/35326618.png" height="150" >}}

### Resetting a forgotten HCC password

To reset your password, navigate to the [myHCC User Portal](https://hcc.unl.edu/myhcc/) in your browser

Click the link to reset your forgotten password

{{< figure src="/images/35326619.png" height="400" >}}

Fill in the requested information (your HCC user name and email
associated with your account) and click **Reset Password**. A reset link
will be sent to your email address. Click this link and follow the
onscreen prompts to set a new password.

### Tutorial Video

{{< youtube eaTW6FDhpsM >}}
